/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;


/**
 * 缺陷有效率和修复率
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷有效率和修复率")
public class BugValidRepairRatio implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_valid = "valid";
  public static final String KEY_bugCount = "bugCount";
  public static final String KEY_validRatio = "validRatio";
  public static final String KEY_bugClose = "bugClose";
  public static final String KEY_repairRatio = "repairRatio";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 模块名<br>
   */
  @ApiModelProperty("模块名")
  @Size(max = 50, message="模块名-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 有效缺陷数<br>
   */
  @ApiModelProperty("有效缺陷数")
  private Integer valid;
  /**
   * 总缺陷数<br>
   */
  @ApiModelProperty("总缺陷数")
  private Integer bugCount;
  /**
   * 缺陷有效率 = 有效缺陷数(除无效状态之外的) / 缺陷总数<br>
   */
  @ApiModelProperty("缺陷有效率 = 有效缺陷数(除无效状态之外的) / 缺陷总数")
  @Size(max = 50, message="缺陷有效率 = 有效缺陷数(除无效状态之外的) / 缺陷总数-validRatio: 数据长度不能 > 50" )
  private String validRatio;
  /**
   * 缺陷关闭数<br>
   */
  @ApiModelProperty("缺陷关闭数")
  private Integer bugClose;
  /**
   * 缺陷修复率 = 关闭缺陷数 / 有效缺陷数<br>
   */
  @ApiModelProperty("缺陷修复率 = 关闭缺陷数 / 有效缺陷数")
  @Size(max = 50, message="缺陷修复率 = 关闭缺陷数 / 有效缺陷数-repairRatio: 数据长度不能 > 50" )
  private String repairRatio;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 模块名<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块名<br>
   *
   * @param moduleId 模块名
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 有效缺陷数<br>
   */
  public Integer getValid()
  {
      return valid;
    }

  /**
   * 有效缺陷数<br>
   *
   * @param valid 有效缺陷数
   */
  public void setValid(Integer valid)
  {
      this.valid = valid;
    }
  /**
   * 总缺陷数<br>
   */
  public Integer getBugCount()
  {
      return bugCount;
    }

  /**
   * 总缺陷数<br>
   *
   * @param bugCount 总缺陷数
   */
  public void setBugCount(Integer bugCount)
  {
      this.bugCount = bugCount;
    }
  /**
   * 缺陷有效率 = 有效缺陷数(除无效状态之外的) / 缺陷总数<br>
   */
  public String getValidRatio()
  {
      return validRatio;
    }

  /**
   * 缺陷有效率 = 有效缺陷数(除无效状态之外的) / 缺陷总数<br>
   *
   * @param validRatio 缺陷有效率 = 有效缺陷数(除无效状态之外的) / 缺陷总数
   */
  public void setValidRatio(String validRatio)
  {
      this.validRatio = validRatio;
    }
  /**
   * 缺陷关闭数<br>
   */
  public Integer getBugClose()
  {
      return bugClose;
    }

  /**
   * 缺陷关闭数<br>
   *
   * @param bugClose 缺陷关闭数
   */
  public void setBugClose(Integer bugClose)
  {
      this.bugClose = bugClose;
    }
  /**
   * 缺陷修复率 = 关闭缺陷数 / 有效缺陷数<br>
   */
  public String getRepairRatio()
  {
      return repairRatio;
    }

  /**
   * 缺陷修复率 = 关闭缺陷数 / 有效缺陷数<br>
   *
   * @param repairRatio 缺陷修复率 = 关闭缺陷数 / 有效缺陷数
   */
  public void setRepairRatio(String repairRatio)
  {
      this.repairRatio = repairRatio;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugValidRepairRatio()
  {
  }

}
